This patch eliminates following CL warnings and errors:
* warning C4028: formal parameter 1 different from declaration
Index: libtransmission/announcer.c
===================================================================
--- libtransmission/announcer.c	(revision 14186)
+++ libtransmission/announcer.c	(working copy)
@@ -159,7 +159,7 @@
 }
 
 static void
-onUpkeepTimer (int foo UNUSED, short bar UNUSED, void * vannouncer);
+onUpkeepTimer (evutil_socket_t foo UNUSED, short bar UNUSED, void * vannouncer);
 
 void
 tr_announcerInit (tr_session * session)
@@ -1566,7 +1566,7 @@
 }
 
 static void
-onUpkeepTimer (int foo UNUSED, short bar UNUSED, void * vannouncer)
+onUpkeepTimer (evutil_socket_t foo UNUSED, short bar UNUSED, void * vannouncer)
 {
     tr_announcer * announcer = vannouncer;
     tr_session * session = announcer->session;
Index: libtransmission/handshake.c
===================================================================
--- libtransmission/handshake.c	(revision 14186)
+++ libtransmission/handshake.c	(working copy)
@@ -1176,7 +1176,7 @@
 **/
 
 static void
-handshakeTimeout (int foo UNUSED, short bar UNUSED, void * handshake)
+handshakeTimeout (evutil_socket_t foo UNUSED, short bar UNUSED, void * handshake)
 {
   tr_handshakeAbort (handshake);
 }
Index: libtransmission/peer-io.c
===================================================================
--- libtransmission/peer-io.c	(revision 14186)
+++ libtransmission/peer-io.c	(working copy)
@@ -246,7 +246,7 @@
 }
 
 static void
-event_read_cb (int fd, short event UNUSED, void * vio)
+event_read_cb (evutil_socket_t fd, short event UNUSED, void * vio)
 {
     int res;
     int e;
@@ -325,7 +325,7 @@
 }
 
 static void
-event_write_cb (int fd, short event UNUSED, void * vio)
+event_write_cb (evutil_socket_t fd, short event UNUSED, void * vio)
 {
     int res = 0;
     int e;
Index: libtransmission/peer-mgr.c
===================================================================
--- libtransmission/peer-mgr.c	(revision 14186)
+++ libtransmission/peer-mgr.c	(working copy)
@@ -1475,7 +1475,7 @@
 
 /* cancel requests that are too old */
 static void
-refillUpkeep (int foo UNUSED, short bar UNUSED, void * vmgr)
+refillUpkeep (evutil_socket_t foo UNUSED, short bar UNUSED, void * vmgr)
 {
     time_t now;
     time_t too_old;
@@ -2371,13 +2371,13 @@
   return count;
 }
 
-static void atomPulse    (int, short, void *);
-static void bandwidthPulse (int, short, void *);
-static void rechokePulse (int, short, void *);
-static void reconnectPulse (int, short, void *);
+static void atomPulse      (evutil_socket_t, short, void *);
+static void bandwidthPulse (evutil_socket_t, short, void *);
+static void rechokePulse   (evutil_socket_t, short, void *);
+static void reconnectPulse (evutil_socket_t, short, void *);
 
 static struct event *
-createTimer (tr_session * session, int msec, void (*callback)(int, short, void *), void * cbdata)
+createTimer (tr_session * session, int msec, event_callback_fn callback, void * cbdata)
 {
   struct event * timer = evtimer_new (session->event_base, callback, cbdata);
   tr_timerAddMsec (timer, msec);
@@ -3159,7 +3159,7 @@
 }
 
 static void
-rechokePulse (int foo UNUSED, short bar UNUSED, void * vmgr)
+rechokePulse (evutil_socket_t foo UNUSED, short bar UNUSED, void * vmgr)
 {
   tr_torrent * tor = NULL;
   tr_peerMgr * mgr = vmgr;
@@ -3520,7 +3520,7 @@
 static void makeNewPeerConnections (tr_peerMgr * mgr, const int max);
 
 static void
-reconnectPulse (int foo UNUSED, short bar UNUSED, void * vmgr)
+reconnectPulse (evutil_socket_t foo UNUSED, short bar UNUSED, void * vmgr)
 {
   tr_torrent * tor;
   tr_peerMgr * mgr = vmgr;
@@ -3607,7 +3607,7 @@
 }
 
 static void
-bandwidthPulse (int foo UNUSED, short bar UNUSED, void * vmgr)
+bandwidthPulse (evutil_socket_t foo UNUSED, short bar UNUSED, void * vmgr)
 {
   tr_torrent * tor;
   tr_peerMgr * mgr = vmgr;
@@ -3704,7 +3704,7 @@
 }
 
 static void
-atomPulse (int foo UNUSED, short bar UNUSED, void * vmgr)
+atomPulse (evutil_socket_t foo UNUSED, short bar UNUSED, void * vmgr)
 {
   tr_torrent * tor = NULL;
   tr_peerMgr * mgr = vmgr;
Index: libtransmission/peer-msgs.c
===================================================================
--- libtransmission/peer-msgs.c	(revision 14186)
+++ libtransmission/peer-msgs.c	(working copy)
@@ -2445,7 +2445,7 @@
 }
 
 static void
-pexPulse (int foo UNUSED, short bar UNUSED, void * vmsgs)
+pexPulse (evutil_socket_t foo UNUSED, short bar UNUSED, void * vmsgs)
 {
     struct tr_peerMsgs * msgs = vmsgs;
 
Index: libtransmission/port-forwarding.c
===================================================================
--- libtransmission/port-forwarding.c	(revision 14186)
+++ libtransmission/port-forwarding.c	(working copy)
@@ -126,7 +126,7 @@
 }
 
 static void
-onTimer (int fd UNUSED, short what UNUSED, void * vshared)
+onTimer (evutil_socket_t fd UNUSED, short what UNUSED, void * vshared)
 {
   tr_shared * s = vshared;
 
Index: libtransmission/session.c
===================================================================
--- libtransmission/session.c	(revision 14186)
+++ libtransmission/session.c	(working copy)
@@ -180,7 +180,7 @@
 }
 
 static void
-accept_incoming_peer (int fd, short what UNUSED, void * vsession)
+accept_incoming_peer (evutil_socket_t fd, short what UNUSED, void * vsession)
 {
   int clientSocket;
   tr_port clientPort;
@@ -548,7 +548,7 @@
  * in the case of a crash, unclean shutdown, clumsy user, etc.
  */
 static void
-onSaveTimer (int foo UNUSED, short bar UNUSED, void * vsession)
+onSaveTimer (evutil_socket_t foo UNUSED, short bar UNUSED, void * vsession)
 {
   tr_torrent * tor = NULL;
   tr_session * session = vsession;
@@ -629,7 +629,7 @@
 static void turtleCheckClock (tr_session * s, struct tr_turtle_info * t);
 
 static void
-onNowTimer (int foo UNUSED, short bar UNUSED, void * vsession)
+onNowTimer (evutil_socket_t foo UNUSED, short bar UNUSED, void * vsession)
 {
   int usec;
   const int min = 100;
Index: libtransmission/tr-dht.c
===================================================================
--- libtransmission/tr-dht.c	(revision 14186)
+++ libtransmission/tr-dht.c	(working copy)
@@ -66,7 +66,7 @@
 static unsigned char myid[20];
 static tr_session *session = NULL;
 
-static void timer_callback (int s, short type, void *ignore);
+static void timer_callback (evutil_socket_t s, short type, void *ignore);
 
 struct bootstrap_closure {
     tr_session *session;
@@ -657,7 +657,7 @@
 }
 
 static void
-timer_callback (int s UNUSED, short type UNUSED, void *session)
+timer_callback (evutil_socket_t s UNUSED, short type UNUSED, void *session)
 {
     tr_dhtCallback (NULL, 0, NULL, 0, session);
 }
Index: libtransmission/tr-lpd.c
===================================================================
--- libtransmission/tr-lpd.c	(revision 14186)
+++ libtransmission/tr-lpd.c	(working copy)
@@ -67,7 +67,7 @@
 * $Id$
 */
 
-static void event_callback (int, short, void*);
+static void event_callback (evutil_socket_t, short, void*);
 
 enum {
    UPKEEP_INTERVAL_SECS = 5
@@ -255,7 +255,7 @@
 /**
 * @} */
 
-static void on_upkeep_timer (int, short, void *);
+static void on_upkeep_timer (evutil_socket_t, short, void *);
 
 /**
 * @brief Initializes Local Peer Discovery for this node
@@ -619,7 +619,7 @@
 }
 
 static void
-on_upkeep_timer (int foo UNUSED, short bar UNUSED, void * vsession UNUSED)
+on_upkeep_timer (evutil_socket_t foo UNUSED, short bar UNUSED, void * vsession UNUSED)
 {
     const time_t now = tr_time ();
     tr_lpdAnnounceMore (now, UPKEEP_INTERVAL_SECS);
@@ -630,7 +630,7 @@
 * @brief Processing of timeout notifications and incoming data on the socket
 * @note maximum rate of read events is limited according to @a lpd_maxAnnounceCap
 * @see DoS */
-static void event_callback (int s UNUSED, short type, void* ignore UNUSED)
+static void event_callback (evutil_socket_t s UNUSED, short type, void* ignore UNUSED)
 {
     assert (tr_isSession (session));
 
Index: libtransmission/tr-udp.c
===================================================================
--- libtransmission/tr-udp.c	(revision 14186)
+++ libtransmission/tr-udp.c	(working copy)
@@ -188,7 +188,7 @@
 }
 
 static void
-event_callback (int s, short type UNUSED, void *sv)
+event_callback (evutil_socket_t s, short type UNUSED, void *sv)
 {
     int rc;
     socklen_t fromlen;
Index: libtransmission/trevent.c
===================================================================
--- libtransmission/trevent.c	(revision 14186)
+++ libtransmission/trevent.c	(working copy)
@@ -160,9 +160,9 @@
     } while (0)
 
 static void
-readFromPipe (int    fd,
-              short  eventType,
-              void * veh)
+readFromPipe (evutil_socket_t   fd,
+              short             eventType,
+              void            * veh)
 {
     char              ch;
     int               ret;