This patch eliminates following CL warnings and errors:
* warning C4550: expression evaluates to a function which is missing an argument list
Index: gtk/file-list.c
===================================================================
--- gtk/file-list.c	(revision 14186)
+++ gtk/file-list.c	(working copy)
@@ -881,7 +881,7 @@
   rename_data->newname = g_strdup (newname);
   rename_data->file_data = data;
   rename_data->path_string = g_strdup (path_string);
-  tr_torrentRenamePath (tor, oldpath->str, newname, (tr_torrent_rename_done_func*)on_rename_done, rename_data);
+  tr_torrentRenamePath (tor, oldpath->str, newname, (tr_torrent_rename_done_func)on_rename_done, rename_data);
 
   /* cleanup */
   g_string_free (oldpath, TRUE);
Index: libtransmission/announcer-common.h
===================================================================
--- libtransmission/announcer-common.h	(revision 14186)
+++ libtransmission/announcer-common.h	(working copy)
@@ -96,8 +96,8 @@
 }
 tr_scrape_response;
 
-typedef void tr_scrape_response_func (const tr_scrape_response  * response,
-                                      void                      * user_data);
+typedef void (*tr_scrape_response_func) (const tr_scrape_response  * response,
+                                         void                      * user_data);
 
 void tr_tracker_http_scrape (tr_session               * session,
                              const tr_scrape_request  * req,
@@ -223,8 +223,8 @@
 }
 tr_announce_response;
 
-typedef void tr_announce_response_func (const tr_announce_response * response,
-                                        void                       * userdata);
+typedef void (*tr_announce_response_func) (const tr_announce_response * response,
+                                           void                       * userdata);
 
 void tr_tracker_http_announce (tr_session                 * session,
                                const tr_announce_request  * req,
Index: libtransmission/announcer-http.c
===================================================================
--- libtransmission/announcer-http.c	(revision 14186)
+++ libtransmission/announcer-http.c	(working copy)
@@ -164,7 +164,7 @@
 struct announce_data
 {
     tr_announce_response response;
-    tr_announce_response_func * response_func;
+    tr_announce_response_func response_func;
     void * response_func_user_data;
     char log_name[128];
 };
@@ -318,7 +318,7 @@
 struct scrape_data
 {
     tr_scrape_response response;
-    tr_scrape_response_func * response_func;
+    tr_scrape_response_func response_func;
     void * response_func_user_data;
     char log_name[128];
 };
Index: libtransmission/announcer-udp.c
===================================================================
--- libtransmission/announcer-udp.c	(revision 14186)
+++ libtransmission/announcer-udp.c	(working copy)
@@ -156,7 +156,7 @@
     tau_transaction_t transaction_id;
 
     tr_scrape_response response;
-    tr_scrape_response_func * callback;
+    tr_scrape_response_func callback;
     void * user_data;
 };
 
@@ -286,7 +286,7 @@
     tau_transaction_t transaction_id;
 
     tr_announce_response response;
-    tr_announce_response_func * callback;
+    tr_announce_response_func callback;
     void * user_data;
 };
 
Index: libtransmission/announcer.c
===================================================================
--- libtransmission/announcer.c	(revision 14186)
+++ libtransmission/announcer.c	(working copy)
@@ -407,7 +407,7 @@
     tr_tracker * trackers;
     int tracker_count;
 
-    tr_tracker_callback * callback;
+    tr_tracker_callback callback;
     void * callbackData;
 }
 tr_torrent_tiers;
@@ -691,7 +691,7 @@
 
 tr_torrent_tiers *
 tr_announcerAddTorrent (tr_torrent           * tor,
-                        tr_tracker_callback  * callback,
+                        tr_tracker_callback    callback,
                         void                 * callbackData)
 {
     tr_torrent_tiers * tiers;
@@ -1200,7 +1200,7 @@
 static void
 announce_request_delegate (tr_announcer               * announcer,
                            tr_announce_request        * request,
-                           tr_announce_response_func  * callback,
+                           tr_announce_response_func    callback,
                            void                       * callback_data)
 {
     tr_session * session = announcer->session;
@@ -1397,7 +1397,7 @@
 static void
 scrape_request_delegate (tr_announcer             * announcer,
                          const tr_scrape_request  * request,
-                         tr_scrape_response_func  * callback,
+                         tr_scrape_response_func    callback,
                          void                     * callback_data)
 {
     tr_session * session = announcer->session;
Index: libtransmission/announcer.h
===================================================================
--- libtransmission/announcer.h	(revision 14186)
+++ libtransmission/announcer.h	(working copy)
@@ -56,9 +56,9 @@
 }
 tr_tracker_event;
 
-typedef void tr_tracker_callback (tr_torrent              * tor,
-                                   const tr_tracker_event  * event,
-                                   void                    * client_data);
+typedef void (*tr_tracker_callback) (tr_torrent              * tor,
+                                     const tr_tracker_event  * event,
+                                     void                    * client_data);
 
 /**
 ***  Session ctor/dtor
@@ -73,7 +73,7 @@
 **/
 
 struct tr_torrent_tiers * tr_announcerAddTorrent (tr_torrent          * torrent,
-                                                  tr_tracker_callback * cb,
+                                                  tr_tracker_callback   cb,
                                                   void                * cbdata);
 
 bool tr_announcerHasBacklog (const struct tr_announcer *);
Index: libtransmission/peer-common.h
===================================================================
--- libtransmission/peer-common.h	(revision 14186)
+++ libtransmission/peer-common.h	(working copy)
@@ -75,9 +75,9 @@
 
 extern const tr_peer_event TR_PEER_EVENT_INIT;
 
-typedef void tr_peer_callback (struct tr_peer       * peer,
-                               const tr_peer_event  * event,
-                               void                 * client_data);
+typedef void (*tr_peer_callback) (struct tr_peer       * peer,
+                                  const tr_peer_event  * event,
+                                  void                 * client_data);
 
 /***
 ****
Index: libtransmission/peer-msgs.c
===================================================================
--- libtransmission/peer-msgs.c	(revision 14186)
+++ libtransmission/peer-msgs.c	(working copy)
@@ -223,7 +223,7 @@
 
   tr_torrent *           torrent;
 
-  tr_peer_callback      * callback;
+  tr_peer_callback        callback;
   void                  * callbackData;
 
   struct evbuffer *      outMessages; /* all the non-piece messages */
@@ -2210,7 +2210,7 @@
     diffs->elements[diffs->elementCount++] = *pex;
 }
 
-typedef void (tr_set_func)(void * element, void * userData);
+typedef void (*tr_set_func)(void * element, void * userData);
 
 /**
  * @brief find the differences and commonalities in two sorted sets
@@ -2605,7 +2605,7 @@
 tr_peerMsgs *
 tr_peerMsgsNew (struct tr_torrent    * torrent,
                 struct tr_peerIo     * io,
-                tr_peer_callback     * callback,
+                tr_peer_callback       callback,
                 void                 * callbackData)
 {
   tr_peerMsgs * m;
Index: libtransmission/peer-msgs.h
===================================================================
--- libtransmission/peer-msgs.h	(revision 14186)
+++ libtransmission/peer-msgs.h	(working copy)
@@ -41,7 +41,7 @@
 
 tr_peerMsgs* tr_peerMsgsNew                  (struct tr_torrent        * torrent,
                                               struct tr_peerIo         * io,
-                                              tr_peer_callback         * callback,
+                                              tr_peer_callback           callback,
                                               void                     * callback_data);
 
 bool         tr_peerMsgsIsPeerChoked         (const tr_peerMsgs        * msgs);
Index: libtransmission/session.h
===================================================================
--- libtransmission/session.h	(revision 14186)
+++ libtransmission/session.h	(working copy)
@@ -58,8 +58,6 @@
 struct tr_fdInfo;
 struct tr_device_info;
 
-typedef void (tr_web_config_func)(tr_session * session, void * curl_pointer, const char * url, void * user_data);
-
 struct tr_turtle_info
 {
     /* TR_UP and TR_DOWN speed limits */
@@ -81,7 +79,7 @@
     tr_sched_day days;
 
     /* called when isEnabled changes */
-    tr_altSpeedFunc * callback;
+    tr_altSpeedFunc callback;
 
     /* the callback's user_data argument */
     void * callbackUserData;
Index: libtransmission/torrent.c
===================================================================
--- libtransmission/torrent.c	(revision 14186)
+++ libtransmission/torrent.c	(working copy)
@@ -1939,9 +1939,9 @@
 
 struct remove_data
 {
-    tr_torrent   * tor;
-    bool           deleteFlag;
-    tr_fileFunc  * deleteFunc;
+    tr_torrent  * tor;
+    bool          deleteFlag;
+    tr_fileFunc   deleteFunc;
 };
 
 static void tr_torrentDeleteLocalData (tr_torrent *, tr_fileFunc);
@@ -3696,7 +3696,7 @@
   tr_torrent * tor;
   char * oldpath;
   char * newname;
-  tr_torrent_rename_done_func * callback;
+  tr_torrent_rename_done_func callback;
   void * callback_user_data;
 };
 
Index: libtransmission/torrent.h
===================================================================
--- libtransmission/torrent.h	(revision 14186)
+++ libtransmission/torrent.h	(working copy)
@@ -228,16 +228,16 @@
 
     int                        queuePosition;
 
-    tr_torrent_metadata_func  * metadata_func;
+    tr_torrent_metadata_func    metadata_func;
     void                      * metadata_func_user_data;
 
-    tr_torrent_completeness_func  * completeness_func;
-    void                          *  completeness_func_user_data;
+    tr_torrent_completeness_func    completeness_func;
+    void                          * completeness_func_user_data;
 
-    tr_torrent_ratio_limit_hit_func  * ratio_limit_hit_func;
+    tr_torrent_ratio_limit_hit_func    ratio_limit_hit_func;
     void                             * ratio_limit_hit_func_user_data;
 
-    tr_torrent_idle_limit_hit_func  * idle_limit_hit_func;
+    tr_torrent_idle_limit_hit_func    idle_limit_hit_func;
     void                            * idle_limit_hit_func_user_data;
 
     void * queue_started_user_data;
Index: libtransmission/transmission.h
===================================================================
--- libtransmission/transmission.h	(revision 14186)
+++ libtransmission/transmission.h	(working copy)
@@ -651,13 +651,13 @@
 void         tr_sessionSetAltSpeedDay (tr_session *, tr_sched_day day);
 tr_sched_day tr_sessionGetAltSpeedDay (const tr_session *);
 
-typedef void (tr_altSpeedFunc)(tr_session *,
+typedef void (*tr_altSpeedFunc)(tr_session *,
                                   bool active,
                                   bool userDriven,
                                   void *);
 
 void  tr_sessionClearAltSpeedFunc (tr_session *);
-void  tr_sessionSetAltSpeedFunc  (tr_session *, tr_altSpeedFunc *, void *);
+void  tr_sessionSetAltSpeedFunc  (tr_session *, tr_altSpeedFunc, void *);
 
 
 bool  tr_sessionGetActiveSpeedLimit_KBps (const tr_session  * session,
@@ -1106,7 +1106,7 @@
 /** @addtogroup tr_torrent Torrents
     @{ */
 
-typedef int tr_fileFunc (const char * filename);
+typedef int (*tr_fileFunc) (const char * filename);
 
 /** @brief Removes our .torrent and .resume files for this torrent */
 void tr_torrentRemove (tr_torrent  * torrent,
@@ -1120,11 +1120,11 @@
 void tr_torrentStop (tr_torrent * torrent);
 
 
-typedef void (tr_torrent_rename_done_func)(tr_torrent  * torrent,
-                                           const char  * oldpath,
-                                           const char  * newname,
-                                           int           error,
-                                           void        * user_data);
+typedef void (*tr_torrent_rename_done_func)(tr_torrent  * torrent,
+                                            const char  * oldpath,
+                                            const char  * newname,
+                                            int           error,
+                                            void        * user_data);
 
 /**
  * @brief Rename a file or directory in a torrent.
@@ -1432,18 +1432,18 @@
  * @param wasRunning whether or not the torrent was running when
  *                   it changed its completeness state
  */
-typedef void (tr_torrent_completeness_func)(tr_torrent       * torrent,
-                                            tr_completeness    completeness,
-                                            bool               wasRunning,
-                                            void             * user_data);
+typedef void (*tr_torrent_completeness_func)(tr_torrent       * torrent,
+                                             tr_completeness    completeness,
+                                             bool               wasRunning,
+                                             void             * user_data);
 
-typedef void (tr_torrent_ratio_limit_hit_func)(tr_torrent   * torrent,
+typedef void (*tr_torrent_ratio_limit_hit_func)(tr_torrent   * torrent,
+                                                void         * user_data);
+
+typedef void (*tr_torrent_idle_limit_hit_func)(tr_torrent   * torrent,
                                                void         * user_data);
 
-typedef void (tr_torrent_idle_limit_hit_func)(tr_torrent   * torrent,
-                                              void         * user_data);
 
-
 /**
  * Register to be notified whenever a torrent's "completeness"
  * changes. This will be called, for example, when a torrent
@@ -1466,8 +1466,8 @@
 
 
 
-typedef void (tr_torrent_metadata_func)(tr_torrent  * torrent,
-                                        void        * user_data);
+typedef void (*tr_torrent_metadata_func)(tr_torrent  * torrent,
+                                         void        * user_data);
 /**
  * Register to be notified whenever a torrent changes from
  * having incomplete metadata to having complete metadata.
Index: libtransmission/web.c
===================================================================
--- libtransmission/web.c	(revision 14186)
+++ libtransmission/web.c	(working copy)
@@ -76,7 +76,7 @@
   char * range;
   char * cookies;
   tr_session * session;
-  tr_web_done_func * done_func;
+  tr_web_done_func done_func;
   void * done_func_user_data;
   CURL * curl_easy;
   struct tr_web_task * next;
Index: libtransmission/web.h
===================================================================
--- libtransmission/web.h	(revision 14186)
+++ libtransmission/web.h	(working copy)
@@ -39,13 +39,13 @@
 
 void tr_webClose (tr_session * session, tr_web_close_mode close_mode);
 
-typedef void (tr_web_done_func)(tr_session       * session,
-                                bool               timeout_flag,
-                                bool               did_connect_flag,
-                                long               response_code,
-                                const void       * response,
-                                size_t             response_byte_count,
-                                void             * user_data);
+typedef void (*tr_web_done_func)(tr_session       * session,
+                                 bool               timeout_flag,
+                                 bool               did_connect_flag,
+                                 long               response_code,
+                                 const void       * response,
+                                 size_t             response_byte_count,
+                                 void             * user_data);
 
 const char * tr_webGetResponseStr (long response_code);
 
Index: libtransmission/webseed.c
===================================================================
--- libtransmission/webseed.c	(revision 14186)
+++ libtransmission/webseed.c	(working copy)
@@ -48,7 +48,7 @@
   tr_peer              parent;
   tr_bandwidth         bandwidth;
   tr_session         * session;
-  tr_peer_callback   * callback;
+  tr_peer_callback     callback;
   void               * callback_data;
   tr_list            * tasks;
   struct event       * timer;
@@ -595,7 +595,7 @@
 tr_webseed*
 tr_webseedNew (struct tr_torrent  * tor,
                const char         * url,
-               tr_peer_callback   * callback,
+               tr_peer_callback     callback,
                void               * callback_data)
 {
   tr_webseed * w = tr_new0 (tr_webseed, 1);
Index: libtransmission/webseed.h
===================================================================
--- libtransmission/webseed.h	(revision 14186)
+++ libtransmission/webseed.h	(working copy)
@@ -23,7 +23,7 @@
 
 tr_webseed* tr_webseedNew (struct tr_torrent * torrent,
                            const char        * url,
-                           tr_peer_callback  * callback,
+                           tr_peer_callback    callback,
                            void              * callback_data);
 
 #endif